Ask Your Question
2

F27 No sound after updates

asked 2018-07-17 09:54:07 -0500

pboserup gravatar image

Installed current updates to Fedora 27, rebooted and now there is no sound. Tried previous kernel 4.15.10-300, no joy. DNF update now shows the following message, do not know how to resolve. If I use option --best, no joy. If I try option --allowerasing it wants to remove 91 packages. Any suggestions?

[root@]# dnf update Last metadata expiration check: 0:46:48 ago on Tue 17 Jul 2018 09:55:18 AM EDT. Dependencies resolved.

Problem: package gstreamer1-plugins-bad-free-1.12.4-1.fc27.x8664 requires libSoundTouch.so.1()(64bit), but none of the providers can be installed - cannot install both soundtouch-2.0.0-3.fc27.x8664 and soundtouch-1.9.2-6.fc27.x8664 - cannot install both soundtouch-1.9.2-6.fc27.x8664 and soundtouch-2.0.0-3.fc27.x8664 - cannot install the best update candidate for package soundtouch-1.9.2-6.fc27.x8664

  • cannot install the best update candidate for package gstreamer1-plugins-bad-free-1.12.4-1.fc27.x86_64 ================================================================================ Package Arch Version Repository Size ================================================================================

Skipping packages with conflicts: (add '--best --allowerasing' to command line to force their upgrade): soundtouch x86_64 2.0.0-3.fc27 updates 72 k

Transaction Summary

Skip 1 Package Nothing to do. Complete!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2018-07-17 10:55:23 -0500

SteveEbey73701 gravatar image

try sudo dnf remove soundtouch and then try to install the gstreamer again. if I am correct, it will install any dependency it needs, so should reinstall the correct soundtouch to match the gstreamer. hope this helps.

edit flag offensive delete link more

Comments

Would remove core parts of the OS though, nomatter which package you drop, such as gnome-shell. Wouldn't this indicate a problem with gstreamer1-plugins-bad-free not linking to the newer soundtouch lib?

cyberpunkspike gravatar imagecyberpunkspike ( 2018-07-17 11:39:44 -0500 )edit

@cyberpunkspike yes that's exactly what happened to me, and had to reinstall GDM and your log will be filled with messages like:

JS ERROR: Failed to open reauthentication channel: Gio.DBusError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.DisplayManager was not provided by any .service files#012ShellUserVerifier<._reauthenticationChannelOpened@resource:///org/gnome/shell/gdm/util.js:353:34#012wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
robbiethek gravatar imagerobbiethek ( 2018-07-19 17:36:09 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2018-07-17 09:54:07 -0500

Seen: 258 times

Last updated: Jul 17 '18